package com.care.common.vo;



import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 菜单权限表(CareMenu)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-09 21:18:56
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "菜单权限表", description = "")
public class MenuVO implements Serializable {
    private static final long serialVersionUID = -84150949376858885L;

    private Long id;


    @ApiModelProperty("名称")
    private String name;


    @ApiModelProperty("路径，默认值")
    private String url;


    @ApiModelProperty("父ID")
    private Long pid;


    @ApiModelProperty("类型：menu.菜单; element.页面元素")
    private String type;


    @ApiModelProperty("排序号")
    private Integer sort;


    @ApiModelProperty(dataType = "String", name = "userId", value = "用户ID")
    private String userId;

    @ApiModelProperty(dataType = "String",name = "children",value = "子菜单集合")
    private List<MenuVO> children = new ArrayList<>();

}
